﻿using FluentFTP;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JustHost.Ftp.ClearLog
{
    internal class CrontabFtpClear
    {
        System.Timers.Timer timer;
        List<string> paths = new List<string>() { "/domains/skyfinder.cc/logs/", "/domains/skyfinder.cc/stats/" };
        public CrontabFtpClear()
        {
            timer = new System.Timers.Timer();
            timer.Interval = TimeSpan.FromHours(5).TotalMilliseconds;
            //timer.Interval = TimeSpan.FromSeconds(5).TotalMilliseconds;
            timer.Elapsed += Timer_Elapsed;
            timer.Enabled = true;
            timer.AutoReset = true;
        }

        private void Timer_Elapsed(object? sender, System.Timers.ElapsedEventArgs e)
        {
            timer.Enabled = false;
            ClearProcess();
        }

        private void ClearProcess(){
            try
            {
                Console.WriteLine($"操作：执行指定清理命令 时间:{DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss")}");
                // 设置连接信息
                var ftpClient = new FtpClient("", "", "");

                // 连接到FTP服务器
                ftpClient.Connect();
                foreach (var item in paths)
                {
                    if (!ftpClient.DirectoryExists(item))
                    {
                        continue;
                    }
                    ftpClient.DeleteDirectory(item, FtpListOption.ForceList);
                }

                ftpClient.Disconnect();
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex);
            }
            finally
            {
                timer.Enabled = true;
            }
        }


    }
}
